/**/

#include<stdio.h>
#include<stdlib.h>
#include<conio.h>
#include<math.h>
#define n 5

void main(void)
{
	float vector[n],xmedia=0,total,j,aux;
	int i;


	clrscr();
	for(i=0;i<n;i++)
	{
		printf("Introduzca un valor para n: ");
		scanf("%f",&vector[i]);
	}

	for(i=0;i<n;i++)
	{
		xmedia=xmedia+vector[i];
	}
	j=(float) 1/n;
	xmedia=j*xmedia;
	for(i=0;i<n;i++)
	{
		aux=vector[i]-xmedia;
		if(aux<0)
		{
			aux=-aux;
		}
		total=total+aux;
	}
	total=j*(total);
	printf("El total es: %f",total);
	getch();
	total=0;
	for(i=0;i<n;i++)
	{
		total=total+pow(vector[i],2);
	}
	total=total*j;
	total=sqrt(total);
	printf("\nEl resultado de la raiz cuadr tica media es: %f",total);
	getch();
}
